document.addEventListener('DOMContentLoaded', () => {
  const formBox = document.querySelector('.form-box');
  const signupForm = document.getElementById('signupForm');
  const resetBtn = document.querySelector('.reset-btn');

  // Add floating effect
  document.addEventListener('mousemove', (e) => {
    const { clientX, clientY } = e;
    const xAxis = (window.innerWidth / 2 - clientX) / 25;
    const yAxis = (window.innerHeight / 2 - clientY) / 25;
    formBox.style.transform = `rotateY(${xAxis}deg) rotateX(${yAxis}deg)`;
  });

  // Remove floating effect when mouse leaves
  document.addEventListener('mouseleave', () => {
    formBox.style.transform = 'rotateY(0) rotateX(0)';
  });

  signupForm.addEventListener('submit', (e) => {
    e.preventDefault();
    
    // Add success animation
    formBox.classList.add('flipped');
    
    // Clear form
    signupForm.reset();
  });

  resetBtn.addEventListener('click', () => {
    formBox.classList.remove('flipped');
  });

  // Add input animations
  const inputs = document.querySelectorAll('input');
  inputs.forEach(input => {
    input.addEventListener('focus', () => {
      input.parentElement.classList.add('focused');
    });

    input.addEventListener('blur', () => {
      if (input.value === '') {
        input.parentElement.classList.remove('focused');
      }
    });
  });
});
